Skip to content
Tx Platform
Get Professions Taxonomy Metadata

Get Professions Taxonomy Metadata🔗︎

HTTP Verb Path
GET /v10/professions/metadata

Get metadata about the professions taxonomy/service.

Info

Scope of use🔗︎

The purpose of this endpoint is to look up information about the Taxonomy. You must cache or store the response to limit the number of requests.

Response Body🔗︎

Info 🔗︎ object

Info🔗︎

Information explaining the outcome of the transaction.


Info properties

Code 🔗︎ string

Code🔗︎

Code Description
Success Successful transaction
MissingParameter A required parameter wasn't provided
InvalidParameter A parameter was incorrectly specified
AuthenticationError An error occurred with the credentials provided
Message 🔗︎ string

Message🔗︎

This message further describes the code providing additional detail.

TransactionId 🔗︎ string

TransactionId🔗︎

The (GUID) id for a specific API transaction. Use this when contacting TXsupport@bullhorn.com about issues.

EngineVersion 🔗︎ string

EngineVersion🔗︎

The version of the parsing/matching engine running under-the-hood.

ApiVersion 🔗︎ string

ApiVersion🔗︎

The version of the API.

TotalElapsedMilliseconds 🔗︎ integer

TotalElapsedMilliseconds🔗︎

How long the transaction took on Textkernel's server, in milliseconds. If the transaction takes longer to complete on the client side, that extra duration is solely network latency.

TransactionCost 🔗︎ decimal

TransactionCost🔗︎

How many credits the transaction costs.How many credits the transaction costs.

CustomerDetails 🔗︎ object

CustomerDetails🔗︎

Information about the customer who made the API call.


CustomerDetails properties

AccountId 🔗︎ string

AccountId🔗︎

The AccountId for the account.

Name 🔗︎ string

Name🔗︎

The customer name on the account.

IPAddress 🔗︎ string

IPAddress🔗︎

The client IP Address where the API call originated.

Region 🔗︎ string

Region🔗︎

The region for the account, also known as the 'Data Center'.

CreditsRemaining 🔗︎ decimal

CreditsRemaining🔗︎

The number of credits remaining to be used by the account.

CreditsUsed 🔗︎ decimal

CreditsUsed🔗︎

The number of credits used by the account.

MaximumConcurrentRequests 🔗︎ integer

MaximumConcurrentRequests🔗︎

The number of requests that can be made at one time. If using sub-accounts, this is the maximum number of concurent requests across all accounts, not just this single sub-account.

ExpirationDate 🔗︎ date

ExpirationDate🔗︎

The date that the current credits expire.

Value 🔗︎ object

Value🔗︎

Contains response data for the transaction.


Value properties

ServiceVersion 🔗︎ string

ServiceVersion🔗︎

The version number of the professions service.

TaxonomyReleaseDate 🔗︎ date

TaxonomyReleaseDate🔗︎

The ISO 8601 (yyyy-MM-dd) date the taxonomy was released.

Sample JSON

json { "Info": { "Code": "string", "Message": "string", "TransactionId": "string", "EngineVersion": "string", "ApiVersion": "string", "TotalElapsedMilliseconds": 0, "TransactionCost": 0, "CustomerDetails": { "AccountId": "string", "Name": "string", "IPAddress": "string", "Region": "string", "CreditsRemaining": 0, "CreditsUsed": 0, "ExpirationDate": "2021-12-31", "MaximumConcurrentRequests": 0 } }, "Value": { "Metadata": { "ServiceVersion": "string", "TaxonomyReleaseDate": "2021-12-31" } } }